ros-humble-rqt-joint-trajectory-controller (2.50.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Sep 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.49.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Jul 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.49.0-1jammy) jammy; urgency=high

  * fix rqt_joint_trajectory_controller for robots with namespace (backport #1792 <https://github.com/ros-controls/ros2_controllers/issues/1792>) (#1802 <https://github.com/ros-controls/ros2_controllers/issues/1802>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 20 Jul 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.48.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Jul 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.47.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jun 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.46.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 16 May 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.45.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 26 Apr 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.44.0-1jammy) jammy; urgency=high

  * Bump version of pre-commit hooks (backport #1618 <https://github.com/ros-controls/ros2_controllers/issues/1618>) (#1620 <https://github.com/ros-controls/ros2_controllers/issues/1620>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Apr 2025 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.43.0-1jammy) jammy; urgency=high

  * Update documentation of rqt_joint_trajectory_controller (backport #1578 <https://github.com/ros-controls/ros2_controllers/issues/1578>) (#1582 <https://github.com/ros-controls/ros2_controllers/issues/1582>)
  * Contributors: Aditya Pawar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Mar 2025 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.42.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.42.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Feb 2025 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.41.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.40.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 01 Jan 2025 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.39.0-1jammy) jammy; urgency=high

  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>) (#1364 <https://github.com/ros-controls/ros2_controllers/issues/1364>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Dec 2024 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.38.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Nov 2024 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.37.3-1jammy) jammy; urgency=high

  * Fix bug for displaying all controllers (#1259 <https://github.com/ros-controls/ros2_controllers/issues/1259>) (#1271 <https://github.com/ros-controls/ros2_controllers/issues/1271>)
  * [RQT-JTC] limits from jtc controlled joints (#1146 <https://github.com/ros-controls/ros2_controllers/issues/1146>) (#1274 <https://github.com/ros-controls/ros2_controllers/issues/1274>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.37.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.37.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.37.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.36.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.35.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.34.0-1jammy) jammy; urgency=high

  * [CI] Code coverage + pre-commit (backport #1057 <https://github.com/ros-controls/ros2_controllers/issues/1057>) (#1064 <https://github.com/ros-controls/ros2_controllers/issues/1064>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.33.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.32.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Jan 2024 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.31.0-1jammy) jammy; urgency=high

  * Add rqt_JTC to docs (#950 <https://github.com/ros-controls/ros2_controllers/issues/950>) (#952 <https://github.com/ros-controls/ros2_controllers/issues/952>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.30.0-1jammy) jammy; urgency=high

  * Fix rqt jtc bugs for continuous joints and other minor bugs (#890 <https://github.com/ros-controls/ros2_controllers/issues/890>) (#897 <https://github.com/ros-controls/ros2_controllers/issues/897>)
  * Adapted rqt_jtc to newest control_msgs for jtc (#643 <https://github.com/ros-controls/ros2_controllers/issues/643>) (#659 <https://github.com/ros-controls/ros2_controllers/issues/659>)
  * Contributors: Guillaume Walck, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Dec 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 05 Dec 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Nov 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.27.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.26.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Sep 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.22.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.20.0-1jammy) jammy; urgency=high

  * switch from dash to underscore in setup.cfg (#595 <https://github.com/ros-controls/ros2_controllers/issues/595>) (#599 <https://github.com/ros-controls/ros2_controllers/issues/599>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.17.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.17.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.16.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.16.0-1jammy) jammy; urgency=high

  * 🔧 Fixes and updated on pre-commit hooks and their action (#492 <https://github.com/ros-controls/ros2_controllers/issues/492>) (#496 <https://github.com/ros-controls/ros2_controllers/issues/496>)
  * Contributors: Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.12.0-1jammy) jammy; urgency=high

  * fix: :bug: make bare exceptions more narrow (#422 <https://github.com/ros-controls/ros2_controllers/issues/422>)
  * Fix formatting because pre-commit was not running on CI for some time. (#409 <https://github.com/ros-controls/ros2_controllers/issues/409>)
  * Contributors: Denis Štogl, Jaron Lundwall

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.11.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.10.0-1jammy) jammy; urgency=high

  * Formatting changes from pre-commit (#400 <https://github.com/ros-controls/ros2_controllers/issues/400>)
  * port rqt_joint_trajectory_controller to ros2 (#356 <https://github.com/ros-controls/ros2_controllers/issues/356>)
  * Contributors: Bence Magyar, Noel Jiménez García, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.6.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Apr 2022 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.0.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (2.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (1.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (1.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (1.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Aug 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.4.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Jul 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Jun 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.3.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 May 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.2.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 06 Feb 2021 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.1.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 07 Jan 2021 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.1.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-humble-rqt-joint-trajectory-controller (0.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000


